/*
 * IFX Services for Metropolitan
 *
 * IFX Services for Metropolitan
 *
 * The version of the OpenAPI document: 0.0.1
 *
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct AcctInfo {
    #[serde(rename = "AcctBal", skip_serializing_if = "Option::is_none")]
    pub acct_bal: Option<Vec<crate::models::AcctBal>>,
    #[serde(rename = "AcctDtlStatus", skip_serializing_if = "Option::is_none")]
    pub acct_dtl_status: Option<String>,
    #[serde(rename = "AcctMemoData", skip_serializing_if = "Option::is_none")]
    pub acct_memo_data: Option<Vec<crate::models::AcctMemoData>>,
    #[serde(rename = "AcctPeriodData", skip_serializing_if = "Option::is_none")]
    pub acct_period_data: Option<Vec<crate::models::AcctPeriodData>>,
    #[serde(rename = "AcctStmtData", skip_serializing_if = "Option::is_none")]
    pub acct_stmt_data: Option<Box<crate::models::AcctStmtData>>,
    #[serde(rename = "AcctTitleOption", skip_serializing_if = "Option::is_none")]
    pub acct_title_option: Option<String>,
    #[serde(rename = "AcctType", skip_serializing_if = "Option::is_none")]
    pub acct_type: Option<Box<crate::models::AcctType>>,
    #[serde(rename = "AcctUse", skip_serializing_if = "Option::is_none")]
    pub acct_use: Option<String>,
    #[serde(rename = "CashMgmtRelData", skip_serializing_if = "Option::is_none")]
    pub cash_mgmt_rel_data: Option<Box<crate::models::CashMgmtRelData>>,
    #[serde(rename = "DateData", skip_serializing_if = "Option::is_none")]
    pub date_data: Option<Vec<crate::models::DateData>>,
    #[serde(rename = "DepAcctData", skip_serializing_if = "Option::is_none")]
    pub dep_acct_data: Option<Box<crate::models::DepAcctData>>,
    #[serde(rename = "Desc", skip_serializing_if = "Option::is_none")]
    pub desc: Option<String>,
    #[serde(
        rename = "DocDistributionOption",
        skip_serializing_if = "Option::is_none"
    )]
    pub doc_distribution_option: Option<String>,
    #[serde(rename = "EmployeeInd", skip_serializing_if = "Option::is_none")]
    pub employee_ind: Option<String>,
    #[serde(rename = "Fee", skip_serializing_if = "Option::is_none")]
    pub fee: Option<Vec<crate::models::Fee>>,
    #[serde(rename = "OpenDt", skip_serializing_if = "Option::is_none")]
    pub open_dt: Option<String>,
    #[serde(rename = "OriginatingBranch", skip_serializing_if = "Option::is_none")]
    pub originating_branch: Option<String>,
    #[serde(rename = "OverdraftData", skip_serializing_if = "Option::is_none")]
    pub overdraft_data: Option<Box<crate::models::OverdraftData>>,
    #[serde(rename = "ProductIdent", skip_serializing_if = "Option::is_none")]
    pub product_ident: Option<String>,
    #[serde(rename = "Rate", skip_serializing_if = "Option::is_none")]
    pub rate: Option<String>,
    #[serde(rename = "RelationshipMgr", skip_serializing_if = "Option::is_none")]
    pub relationship_mgr: Option<Vec<crate::models::RelationshipMgr>>,
    #[serde(
        rename = "RelationshipPricingAcctData",
        skip_serializing_if = "Option::is_none"
    )]
    pub relationship_pricing_acct_data: Option<Box<crate::models::RelationshipPricingAcctData>>,
    #[serde(rename = "SvcChgData", skip_serializing_if = "Option::is_none")]
    pub svc_chg_data: Option<Box<crate::models::SvcChgData>>,
    #[serde(rename = "TaxIncentiveType", skip_serializing_if = "Option::is_none")]
    pub tax_incentive_type: Option<String>,
    #[serde(rename = "TrnRestriction", skip_serializing_if = "Option::is_none")]
    pub trn_restriction: Option<String>,
    #[serde(rename = "WithholdingOption", skip_serializing_if = "Option::is_none")]
    pub withholding_option: Option<String>,
}

impl AcctInfo {
    pub fn new() -> AcctInfo {
        AcctInfo {
            acct_bal: None,
            acct_dtl_status: None,
            acct_memo_data: None,
            acct_period_data: None,
            acct_stmt_data: None,
            acct_title_option: None,
            acct_type: None,
            acct_use: None,
            cash_mgmt_rel_data: None,
            date_data: None,
            dep_acct_data: None,
            desc: None,
            doc_distribution_option: None,
            employee_ind: None,
            fee: None,
            open_dt: None,
            originating_branch: None,
            overdraft_data: None,
            product_ident: None,
            rate: None,
            relationship_mgr: None,
            relationship_pricing_acct_data: None,
            svc_chg_data: None,
            tax_incentive_type: None,
            trn_restriction: None,
            withholding_option: None,
        }
    }
}
